label endgame:
    scene bg wakeupBG with fade
    show planner happy at right
    show you normal at left
    
    # These are the characters who will contribute to your final score
    $ alignment = "none"
    $ opposites = "none"
    
    planner "This is it!"
    planner "It's finally election time!"
    show planner confused
    menu:
        planner "Have you decided what kind of government you want your nation to have?"
        "I want my nation to be a democracy.":
            $ alignment = "demo"
            $ opposite = "auth"
        "I think our nation should be authoritarian, with me as leader!":
            $ alignment = "auth"
            $ opposite = "demo"
    
    show planner happy
    planner "Very good, I think that the voters will be pleased."
    show planner normal with None
    planner "Let's go make the announcement!"
    
    show planner normal at offleft
    show you normal at offleft
    with ease
    
    hide planner
    show bg crowdBG with fade
    show you confident at center
    with ease
    if alignment == "demo":
        you "If you vote for me, I will uphold the democratic ideals of our country!"
        you "So, please vote for me today!"
    elif alignment == "auth":
        you "If you vote for me, I will move our nation towards a more authoritarian ideal!"
        you "So, please vote for me!"
    
    show planner normal at offright
    with ease
    
    show planner happy at right
    show you normal at left
    with ease
    planner "You did really well!"
        
    $ possibleFriends = npcControl.getAlignFriends(opposite)
    if not possibleFriends == []:
        show planner sweat
        planner "Oh, some of your friends may be mad..."
        show planner normal
        planner "Here they come, I'll leave for now."
        show planner normal at offright with ease
        
        python:
            for npc in possibleFriends:
                name = npc.getVarName()
                myLabel = "% s_finalPersuade" % name
                renpy.call_in_new_context(myLabel)
        show planner normal at right with ease 
        planner "See, that wasn't so bad, right?"
        
    show planner happy
    planner "Now we only have to wait for people to vote!"

    $ score = npcControl.getFinalScore(alignment, myPlayer.getStats())
    $ winScore = myPlanner.getDay() 
    $ win = score >= winScore
    
    show bg readingBG
    show planner normal at offleft
    show you normal at offleft
    
    show planner normal at right 
    show you normal at left
    with ease
    
    planner "People have been voting all day, and the results are finally in!"
    
    menu:
        planner "Are you ready?"
        "Bring it on!":
            show planner happy
            planner "That's the spirit!"
        "I don't think I'm ready for this...":
            show you sweat
            show planner happy
            planner "Of course you're ready!"
            planner "You've worked really hard for this."
    
    planner "Let's see..."
    planner "..."
    planner "......"
    planner "........."
    if win:
        show planner happy
        planner "You won!!"
        show you happy
        planner "You did it!"
        planner "Let's celebrate!"
        "After a long and tough campaign, you beat out your rivals!"
        "So what did you do after you became president?"
        show planner normal at offright
        show you normal at offright
        with ease
    else:
        show planner sweat
        planner "You may not want to hear this..."
        planner "But, uh, you didn't quite... win."
        show you sad
        show planner confused
        planner "What could have gone wrong?"
        planner "Maybe it was that you didn't spend enough time with your supporters?"
        show planner sad
        planner "Ah, well, I guess there is always another election..."
        "You didn't win..."
        "So what happened to your country?"
        show planner normal at offright
        show you normal at offright
        with ease
    
    # Get all the characters that might appear
    $gramps = npcControl.getNPC("gramps").getCharacter()
    $pteradude = npcControl.getNPC("pteradude").getCharacter()
    $leadRobo = npcControl.getNPC("leadRobo").getCharacter()
    $dinoPres = npcControl.getNPC("dinoPres").getCharacter()
    
    show gramps normal at offright
    show pteradude normal at offright
    show leadRobo normal at offright
    show dinoPres normal at offright
    
    if win and alignment == "auth":
        show bg golfBG
        
        show you happy at center
        with ease
        "You decided to reshape your country's government to be more
        authoritarian, with you as the head of the new system."
        
        show you normal at left
        show gramps angry at right
        with ease
        "Of course, the democrats didn't like this, "
        
        show gramps sad at offright
        show leadRobo happy at right
        show you happy at left
        with ease
        "but many others were happy with your decision."
        
        show leadRobo happy at offright
        show you normal
        with ease
        "It looks like it's going to be peaceful around here for a while."
    elif win and alignment == "demo":
        show bg golfBG
        
        show you happy at center
        with ease
        "You decided to keep your beloved country a democracy."
        
        show you normal at left
        show pteradude angry at right
        with ease
        "As expected, there was some protest, but nothing too bad."
        
        show pteradude angry at offright
        show dinoPres happy at right
        show you confused
        with ease
        "The President of the Dinosaurs wants you to join him in a war against
        the Robots, but you haven't decided what to do about that."
        
        show dinoPres happy at offright
        show you normal at center
        with ease
        "Maybe another time."
    elif not win:
        show bg golfBG
        
        show you normal at center
        with ease
        "The winner of the election decided to keep Din-Robo democratic."
        
        show you normal at offleft 
        show dinoPres happy at center
        with ease
        "They ended up forming an alliance with the dinosaur nation,"
        
        show dinoPres happy at left
        show leadRobo angry at right
        "and eventually went to war with the robots."
        
        show dinoPres happy at offleft
        show leadRobo sad at offright
        show you normal at center
        with ease
        "The country did not like it's new president, so a new election should be 
        coming up soon..."
    
    return 
